Bug 1259650 - "dnf provides" or "dnf repoquery --whatprovides" does not support globs
Summary: "dnf provides" or "dnf repoquery --whatprovides" does not support globs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Valentina Mukhamedzhanova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-03 09:32 UTC by Petr Pisar
Modified: 2015-10-05 21:52 UTC (History)
7 users (show)

Fixed In Version: dnf-1.1.2-4.fc23 dnf-1.1.2-4.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-04 19:13:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1226677 None None None Never
Red Hat Bugzilla 1249073 None None None Never

Internal Links: 1226677 1249073

Description Petr Pisar 2015-09-03 09:32:50 UTC
# rpm -q dnf
dnf-1.1.1-1.fc24.noarch

# dnf provides 'perl(*)'
Last metadata expiration check performed 2:48:07 ago on Thu Sep  3 08:41:23 2015.
Error: No Matches found
# dnf repoquery --whatprovides 'perl(*)'
Last metadata expiration check performed 2:48:12 ago on Thu Sep  3 08:41:23 2015.

yum's repoquery supports globs in --whatprovides patterns. Is there any way how to list all packages providing 'perl(FOO)' where FOO is any string using the dnf?

If not could you implement it?

Comment 1 Honza Silhan 2015-09-07 11:27:32 UTC
Thanks for the report. This will be fixed by adding hawkey.Query support in provides filters.

Comment 2 Parag Nemade 2015-09-08 07:14:28 UTC
Can this be considered on priority basis as some of my scripts using repoquery still not working on Fedora 23? I am using yum's repoquery for now.

Comment 3 Valentina Mukhamedzhanova 2015-09-11 17:36:27 UTC
repoquery part will be fixed as part of bug 1249073.

Comment 4 Valentina Mukhamedzhanova 2015-09-18 13:59:04 UTC
'dnf provides' part should be fixed by https://github.com/rpm-software-management/dnf/pull/357

Comment 5 Fedora Update System 2015-09-22 15:01:14 UTC
hawkey-0.6.1-1.fc23 dnf-plugins-core-0.1.12-2.fc23 dnf-1.1.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16428

Comment 6 Fedora Update System 2015-09-22 15:03:13 UTC
dnf-plugins-core-0.1.12-2.fc22 hawkey-0.6.1-1.fc22 dnf-1.1.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16429

Comment 7 Fedora Update System 2015-09-23 03:54:46 UTC
dnf-1.1.2-2.fc23, dnf-plugins-core-0.1.12-2.fc23, hawkey-0.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf hawkey'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16428

Comment 8 Fedora Update System 2015-09-23 21:22:37 UTC
dnf-1.1.2-2.fc22, dnf-plugins-core-0.1.12-2.fc22, hawkey-0.6.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf hawkey'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16429

Comment 9 Fedora Update System 2015-10-02 15:20:04 UTC
dnf-plugins-core-0.1.12-3.fc23 hawkey-0.6.1-2.fc23 dnf-1.1.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-38e69423f3

Comment 10 Fedora Update System 2015-10-02 15:24:19 UTC
dnf-plugins-core-0.1.12-3.fc22 hawkey-0.6.1-2.fc22 dnf-1.1.2-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3528c659e4

Comment 11 Fedora Update System 2015-10-04 01:35:56 UTC
dnf-1.1.2-4.fc22, dnf-plugins-core-0.1.12-3.fc22, hawkey-0.6.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3528c659e4

Comment 12 Fedora Update System 2015-10-04 01:51:51 UTC
dnf-1.1.2-4.fc23, dnf-plugins-core-0.1.12-3.fc23, hawkey-0.6.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-38e69423f3

Comment 13 Fedora Update System 2015-10-04 19:12:41 UTC
dnf-1.1.2-4.fc23, dnf-plugins-core-0.1.12-3.fc23, hawkey-0.6.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-10-05 21:52:11 UTC
dnf-1.1.2-4.fc22, dnf-plugins-core-0.1.12-3.fc22, hawkey-0.6.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.